Payout
POST
/payouts/{payout_id}/approveApprove (Manual)
Approve a payout using manual method.
Methods:
- manual: provide reference_id or file_id
- default: uses registered provider adapter
- wise: uses Wise API
Requires: Bearer token, X-Country header. In live mode this also requires the application to be KYB verified.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/payouts/{{payout_id}}/approve' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}' \
-d '{
"method": "manual",
"provider": "<string>",
"reference_id": "bank_ref_123",
"file_id": "<string>"
}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Body
| Name | Type | Value |
|---|---|---|
| method | string | manual |
| provider | string | <string> |
| reference_id | string | bank_ref_123 |
| file_id | string | <string> |
{
"method": "manual",
"provider": "<string>",
"reference_id": "bank_ref_123",
"file_id": "<string>"
}Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"customer_id": "<string>",
"bank_account_id": "<string>",
"balance_id": "<string>",
"amount": 0,
"application_fee_amount": 0,
"net_amount": 0,
"currency": "<string>",
"scaling_factor": 0,
"manual": {
"file_id": "<string>",
"reference_id": "<string>",
"verified": false
},
"approved_by": "<string>",
"approved_by_type": "<string>",
"approved_at": "<RFC3339 timestamp>",
"request_sent_to_bank_at": "<RFC3339 timestamp>",
"status": "<string>",
"paid": false,
"sent": false,
"canceled": false,
"failed": false,
"failure_code": "<string>",
"failure_message": "<string>",
"provider": "<string>",
"reference_id": "<string>",
"metadata": {},
"customer": {
"id": "<string>",
"object": "<string>",
"livemode": false,
"created_at": null,
"updated_at": null,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"shipping": {
"name": "<string>",
"phone": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"state": "<string>"
}
},
"is_system": false,
"capabilities": {
"charge": false,
"transfer": false,
"payout": false
},
"tax_ids": [
{
"type": "<string>",
"value": "<string>",
"country": "<string>",
"verification_status": "<string>"
}
],
"reference_id": "<string>",
"provider": "<string>",
"metadata": {},
"invoice_settings": {},
"tax_exempt": "<string>",
"preferred_locales": [
"<string>"
],
"business_name": "<string>",
"currency": "<string>"
}
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}403403 Forbidden
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}500500 Internal Server Error
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}